<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_2aef71f103069bdb72b5" . "7d0b3bd1d294" => base64_decode("Q2Fubm90IGRpc3BsYXkgY29tb" . "WVudHMgLSBwYWdlIG5vdCBpZG" . "VudGlmaWVk"), "_1a6a10b" . "d09998ad" . "0ae2a2b4" . "e0fd966e" . "8" => base64_decode("U0NSSV" . "BUX1VS" . "SQ=="), "page_i" . "d" => base64_decode("cGFnZV9pZA=" . "="), "_69c6236c927bc93c5d062074967d834" . "d" => base64_decode("cGFn" . "ZV92" . "ZXJz" . "aW9u"));
class PublishCommentsComponent extends ClaCommentsComponent
{
    public function Show($attributes)
    {
        $_b2e2301cda45361416cebc466d340194 = PublishBrowser::Instance();
        $page_id = $_b2e2301cda45361416cebc466d340194->GetPageIdByUrl($_SERVER[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_1a6a10bd09998ad0ae2a2b4" . "e0fd966e8"]]);
        if ($page_id < 0) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_2aef71f103" . "069bdb72b57" . "d0b3bd1d294"];
        }
        $attributes[$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["page_" . "id"]] = $page_id;
        return parent::Show($attributes);
    }
    public function GetCommentsObject($attributes)
    {
        $_d91345deaf5ce6430a776cdc17f9b138 = new PublishComments($attributes[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["page_" . "id"]], $attributes[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_69c6236c927bc93c5d062" . "074967d834d"]]);
        return $_d91345deaf5ce6430a776cdc17f9b138;
    }
}